### Method

# Fwupd Device add_protocol

since: 1.5.8

#### Declaration [src]

    void
    fwupd_device_add_protocol (
      FwupdDevice* self,
      const gchar* protocol
    )

#### Description [src]

Adds a device protocol name.

Available since: 1.5.8

#### Parameters

`protocol`

  Type: `const gchar*`

  The protocol name, e.g. `com.hughski.colorhug`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.